[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.Current

Ordinal position for the current image displayed for the icon.

## Declaration

Source position: graphics.pp line 1674

`public property TCustomIcon.Current : Integer read FCurrent write SetCurrent;`

## Description

Current is an Integer property which contains the ordinal position for the selected image in the icon. Setting a new value for the property causes the UpdateCurrentView method to be called to update the Canvas, and the save stream for the shared image. The OnChange event handler is signalled (when assigned).

Set Current to -1 before calling SetSize (or changing values in Height and Width) to avoid raising an EInvalidGraphicOperation exception.